Synchronize context
Incrementally synchronize selected context resources from Notion.
POST
/v1/syncAuthorization
AuthorizationBearer token (JWT) · headerrequiredAuth0 M2M access token for the environment's shared 1KOMMA5 API audience (`https://1komma5grad.com/api` in production).
Request body
application/jsonresourcesSyncResource[]min items 1
Responses
200Every requested resource synchronized successfully.
successbooleanrequiredresultsSyncStats[]requiredShow propertiesHide properties
Array of
SyncStatsresourceSyncResourcerequiredAllowed:
glossaryskillssuccessbooleanrequiredtotalintegerrequiredmin 0
addedintegerrequiredmin 0
updatedintegerrequiredmin 0
unchangedintegerrequiredmin 0
removedintegerrequiredmin 0
errorstring | null400Structured error.
statusintegerrequiredmin 400 · max 599
messagestringrequiredwhystringrequiredfixstringrequired401Structured error.
statusintegerrequiredmin 400 · max 599
messagestringrequiredwhystringrequiredfixstringrequired500Structured error.
statusintegerrequiredmin 400 · max 599
messagestringrequiredwhystringrequiredfixstringrequiredRequest
curl -X POST "https://pulse-context.1komma5grad.com/v1/sync" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"resources": [
"glossary"
]
}'const response = await fetch("https://pulse-context.1komma5grad.com/v1/sync", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"resources": [
"glossary"
]
})
});import requests
response = requests.post(
"https://pulse-context.1komma5grad.com/v1/sync",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"resources": [
"glossary"
]
},
)Response
{
"success": true,
"results": [
{
"resource": "glossary",
"success": true,
"total": 0,
"added": 0,
"updated": 0,
"unchanged": 0,
"removed": 0,
"error": "string"
}
]
}{
"status": 0,
"message": "string",
"why": "string",
"fix": "string"
}{
"status": 0,
"message": "string",
"why": "string",
"fix": "string"
}{
"status": 0,
"message": "string",
"why": "string",
"fix": "string"
}